Package: org.codehaus.groovy.transform

## [Java] Class ClassChanger

- org.codehaus.groovy.transform.AnnotationCollectorTransform.ClassChanger

- Class used by CompilationUnit to transform the alias class into what is needed by the compiler. This means removing invalid modifiers, interfaces and superclasses, as well as adding a static value method returning our serialized version of the data for processing from a pre-compiled state. By doing this the old annotations will be removed as well

  Authors:
    Jochen "blackdrag" Theodorou

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `transformClass(ClassNode cn)` Method to transform the given ClassNode, if it is annotated with AnnotationCollector.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public void transformClass(ClassNode cn)

      Method to transform the given ClassNode, if it is annotated with AnnotationCollector. See class description for what the transformation includes.